XFcUdpOpenEngine class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcUdpOpenEngine Class Reference

XFcUdpOpenEngine UDP open state. More...

Inheritance diagram for XFcUdpOpenEngine:

[legend]
Collaboration diagram for XFcUdpOpenEngine:

[legend]
List of all members.

## Public Member Functions

virtual INT | recv (XFcCommunicationHandler &aCommHandler, XFcObjectPacketBase **, INT32 &)
| Receives data.
virtual void | open (XFcCommunicationHandler &aCommHandler, INT32 aSendMtu, INT32 aRecvMtu)
| Opens engine.
virtual void | close (XFcCommunicationHandler &aCommHandler)
| Closes engine.
virtual INT | send (XFcClientCommWin *)
| Sends data.
virtual INT | getState ()
| Returns state of engine.
virtual | ~XFcUdpOpenEngine ()
| Virtual destructor.

## Static Public Member Functions

XFcUdpOpenEngine * | create (XFcCommunicationHandler &aCommHandler, INT32 aSendMtu, INT32 aRecvMtu)
| Static constructor.

## Protected Member Functions

| XFcUdpOpenEngine ()
| Protected constructor.
INT | init (XFcCommunicationHandler &aCommHandler, INT32 aSendMtu, INT32 aRecvMtu)
| Initializes XFcUdpOpenEngine.

## Private Attributes

XFcDgramSocket * | mSocket
| Holds UDP socket.
XFcObjectPacketBase * | mBuffer
| Holds send data buffer.
XFcObjectPacketBase * | mIncomingBuffer
| Holds incoming data.
INT32 | mIncomingLen
| Holds incoming buffer len 1500 bytes.
XFcInetAddress * | mAddress
| Holds incoming address.
XFcUdpRecv * | mRecv
| Receive data. This is running it's own thread.

## Detailed Description

XFcUdpOpenEngine UDP open state.

## Constructor & Destructor Documentation

XFcUdpOpenEngine::XFcUdpOpenEngine | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFcUdpOpenEngine::~XFcUdpOpenEngine | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

virtual void XFcUdpOpenEngine::close | ( | XFcCommunicationHandler & | aCommHandler | ) | `[virtual]`

| Closes engine. Implements XFcUdpEngine.

XFcUdpOpenEngine* XFcUdpOpenEngine::create | ( | XFcCommunicationHandler & | aCommHandler,
|  | INT32 | aSendMtu,
|  | INT32 | aRecvMtu
| ) | `[static]`

| Static constructor.

virtual INT XFcUdpOpenEngine::getState | ( |  | ) | `[virtual]`

| Returns state of engine. Implements XFcUdpEngine.

INT XFcUdpOpenEngine::init | ( | XFcCommunicationHandler & | aCommHandler,
|  | INT32 | aSendMtu,
|  | INT32 | aRecvMtu
| ) | `[protected]`

| Initializes XFcUdpOpenEngine.

virtual void XFcUdpOpenEngine::open | ( | XFcCommunicationHandler & | aCommHandler,
|  | INT32 | aSendMtu,
|  | INT32 | aRecvMtu
| ) | `[virtual]`

| Opens engine. Implements XFcUdpEngine.

virtual INT XFcUdpOpenEngine::recv | ( | XFcCommunicationHandler & | aCommHandler,
|  | XFcObjectPacketBase ** | ,
|  | INT32 & |
| ) | `[virtual]`

| Receives data. Implements XFcUdpEngine.

virtual INT XFcUdpOpenEngine::send | ( | XFcClientCommWin * |  | ) | `[virtual]`

| Sends data. Implements XFcUdpEngine.

## Member Data Documentation

XFcInetAddress* XFcUdpOpenEngine::mAddress`[private]`

| Holds incoming address.

XFcObjectPacketBase* XFcUdpOpenEngine::mBuffer`[private]`

| Holds send data buffer.

XFcObjectPacketBase* XFcUdpOpenEngine::mIncomingBuffer`[private]`

| Holds incoming data.

INT32 XFcUdpOpenEngine::mIncomingLen`[private]`

| Holds incoming buffer len 1500 bytes.

XFcUdpRecv* XFcUdpOpenEngine::mRecv`[private]`

| Receive data. This is running it's own thread.

XFcDgramSocket* XFcUdpOpenEngine::mSocket`[private]`

| Holds UDP socket.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch